:root {
  --mach-news-list-title-size: 24px;
  --mach-news-list-text-size: 16px;
  --mach-news-list-date-size: 14px;
}

.mach-news-list {
  font-size: var(--mach-news-list-text-size);
  margin: 1.25em 0 6.25em;
}

.mach-news-list .list {
  font-size: var(--mach-news-list-text-size);
  margin-top: 5em;
  padding: 0;
}

.mach-news-list .list > div {
  height: 100%;
  font-size: var(--mach-news-list-text-size);
  border-bottom: 2px solid #eee;
}

.mach-news-list .list:nth-child(3n) > div {
  margin-left: 3em;
}
.mach-news-list .list:nth-child(3n-1) > div {
  margin: 0 1.5em;
}
.mach-news-list .list:nth-child(3n-2) > div {
  margin-right: 3em;
}

.mach-news-list .list a {
  display: block;
  overflow: hidden;
}

.mach-news-list .list a img {
  width: 100%;
  aspect-ratio: 1.5;
  object-fit: cover;
  transition: 0.3s;
}

.mach-news-list .list a img:hover {
  -webkit-transform: scale(1.05);
  -moz-transform: scale(1.05);
  -ms-transform: scale(1.05);
  transform: scale(1.05);
}

.mach-news-list .list .text {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: var(--mach-news-list-text-size);
  gap: 0.625em;
  margin: 1.25em 0 1.875em;
}

.mach-news-list .list h3 a {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  font-size: var(--mach-news-list-title-size);
  line-height: normal;
  font-weight: 600;
  font-family: var(--title-font-family);
  transition: 0.3s;
}

.mach-news-list .list h3:hover a {
  color: var(--color-primary);
}

.mach-news-list .list p {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  font-size: var(--mach-news-list-text-size);
  font-family: var(--font-family);
  color: var(--text-color);
  line-height: 1.5;
}

.mach-news-list .list span {
  font-size: var(--mach-news-list-date-size);
  color: #999;
}

@media screen and (max-width: 1200px) {
  :root {
    --mach-news-list-title-size: 22px;
    --mach-news-list-text-size: 14px;
    --mach-news-list-date-size: 14px;
  }
}

@media screen and (max-width: 992px) {
  .mach-news-list .list:nth-child(2n) > div {
    margin-left: 2.25em;
    margin-right: 0;
  }
  .mach-news-list .list:nth-child(2n - 1) > div {
    margin-right: 2.25em;
    margin-left: 0;
  }
}

@media screen and (max-width: 768px) {
  .mach-news-list .list > div {
    margin: 0 !important;
  }
}
